Need a method of specifying associated org when registering a smart proxy
Status: New

Priority: Normal
Assignee: Stephen Benjamin
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1326465 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1326465
Description of problem:

When | install a capsule, | should have a way to specify what org this capsule should be associated with upon install. Currently it is a
manual step and it is not at all intuitive since it remains pigeonholed away in the no org context, after installation.

Version-Release number of selected component (if applicable):
SNAP 7.1

How reproducible:
every time

Steps to Reproduce:

1. Follow all the normal steps to install a capsule:
® Register host to satellite; register to org "Default Organization”
e generate capsule cert on satellite

install capsule rpms on target host
follow steps listed upon generating capsule cert to install capsule on target host.

. In Satellite Ul, set/assume context to be Default Organization
. navigate to Infrastructure > Capsules

. Look for your capsule

. set context to "Any Context"

. REPEAT STEPS 3-4.

o Ok WN

Actual results:

After successful creation of capsule, it is not intuitive as to where that capsule is, and at a minimum, a second step is required to set
the org after installing capsule.

Expected results:
There should be a way to determine associated org at install time, just like when registering the box.

| am unsure whether assuming we want to use the registered org as a default is a correct assumption, but it's an example. We
shouldn't have to install the capsule and subsequently then go and assign an org.

When a capsule is not associated with any org, it sort of falls into a "black hole" and is not immediately seen. So user actually has to
do multiple steps to assign the org:

1. install capsule

2. change context to find newly installed capsule
3. associate capsule with org.
Additional info:

Some might argue this is an RFE. | would argue that it it's a critical shortcoming in how we're installing a capsule.

Related issues:

Related to Katello - Feature #15167: Inform the user they can register their ... Rejected
Related to Foreman - Feature #26092: When only one taxonomy of specific type ... Closed
History

#1 - 05/24/2016 10:10 AM - Stephen Benjamin
- Project changed from Foreman to Installer

- Subject changed from Need a method of specifying associated org when installing a capsule to Need a method of specifying associated org when
registeringa smart proxy

- Category changed from Smart Proxy to Foreman modules

#2 - 05/24/2016 10:10 AM - Stephen Benjamin

- Subject changed from Need a method of specifying associated org when registeringa smart proxy to Need a method of specifying associated org
when registering a smart proxy

#3 - 05/24/2016 12:49 PM - Stephen Benjamin

- Related to Feature #15167: Inform the user they can register their proxy to org/location with the installer command added

#4 - 03/07/2017 03:14 AM - Dominic Cleal

https://github.com/theforeman/puppet-foreman/pull/448 and https:/github.com/theforeman/puppet-foreman_proxy/pull/253 have been closed due to
inactivity.

#5 - 02/27/2019 11:44 AM - Tomer Brisker
- Related to Feature #26092: When only one taxonomy of specific type is defined, api should default to that taxonomy added
